コンテンツへスキップ

Sync React-1

統合

モデルID sync-lipsync/react-1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/react-1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "emotion": "happy"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $1.667 1,667 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Sync Labs リップシンクとアバター リップシンク #lipsync#video-to-video

選択した感情も適用する動画間リップシンク。最大15秒のクリップに対応します

Sync Labs · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

入力動画URL。クリップは15秒を超えてはいけません。

•必須 audio_url
ファイルをドロップ、または

入力音声URL。録音は15秒を超えてはいけません。

emotion •必須

生成時に使用する感情プロンプト。現在は単語1つの感情のみサポートしています。

lipsync_mode デフォルト bounce

音声と動画の長さの違いを処理するリップシンクモード。

詳細設定 model_mode · temperature
model_mode デフォルト face

編集領域と動きの範囲。`lips`はreact-1をリップシンクのみで使用し、顔の変化を最小限にします。`face`は顔の表情を追加しますが、頭部は動かしません。`head`はリップシンク、顔の表情、会話時の自然な頭部の動きを含みます。

デフォルト 0.5

リップシンクの表現力レベル。

POST /run/sync-lipsync/react-1?wait=20 見積もり → $1.667
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/react-1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "emotion": "happy"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Sync React-1について

15秒以内の`video_url`と`audio_url`に加え、必須の`emotion`(happy、sad、angry、disgusted、surprised、neutral)が必要です。`model_mode`で編集範囲をlips、face、headから選択します。`lipsync_mode`で長さの不一致(cut_off、loop、bounce、silence、remap)を処理し、`temperature`(0〜1)で表現力を調整します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
入力動画URL。クリップは15秒を超えてはいけません。
audio_url必須 audio
型url · audio
入力音声URL。録音は15秒を超えてはいけません。
emotion必須
型enum
happysadangrydisgustedsurprisedneutral
生成時に使用する感情プロンプト。現在は単語1つの感情のみサポートしています。
model_mode任意
型enum
デフォルトface
lipsfacehead
編集領域と動きの範囲。`lips`はreact-1をリップシンクのみで使用し、顔の変化を最小限にします。`face`は顔の表情を追加しますが、頭部は動かしません。`head`はリップシンク、顔の表情、会話時の自然な頭部の動きを含みます。
lipsync_mode任意
型enum
デフォルトbounce
cut_offloopbouncesilenceremap
音声と動画の長さの違いを処理するリップシンクモード。
temperature任意
型number
デフォルト0.5
0 – 1
リップシンクの表現力レベル。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sync-lipsync/react-1",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1667,
    "usd": "1.667",
    "charged": 1667,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "emotion": "happy"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}顔と唇の動きが同期した出力動画。

その他のモデル: リップシンクとアバター

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/sync-lipsync/react-1.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt